.buttonIcon {
  inline-size: 2.5rem;
  block-size: 2.5rem;
  border: none;
  border-radius: 50%;

  background: transparent;
  color: var(--gray10);

  cursor: pointer;
}

.buttonIcon.is-white {
  background: var(--white);
  color: var(--gray50);
}

.buttonIcon.is-primary {
  background: var(--primaryColor);
  color: var(--white);
}

.buttonIcon .icon-play {
  position: relative;
  left: 1px;
  top: 1px;
}

.buttonIcon:active {
  transform: scale(.95);
}

.buttonIcon:hover:is([class*='is-']) {
  box-shadow: 0 8px 8px rgba(0,0,0,.3);
}